LISP

Discussion in 'AutoCAD' started by JCL, Apr 26, 2004.

  1. JCL

    JCL Guest

    I am looking to add plotstyle information to my datestamp that is saved in
    the drawing. I have found the following:
    RetVal = object.GetPlotStyleTableNames()

    The problem is I am using LISP, not vba. Is there a method in LISP? Or how
    do I incorporate this code into my LISP routine?

    I appreciate your help.
     
    JCL, Apr 26, 2004
    #1
  2. JCL

    zeha Guest

    In Visual Lisp the code below give's a list of plotstylenames

    (vl-load-com)
    (setq RetVal
    (vlax-safearray->list
    (vlax-variant-value
    (vla-GetPlotStyleTableNames
    (vla-get-activelayout
    (vla-get-activedocument (vlax-get-acad-object)))))))
     
    zeha, Apr 27, 2004
    #2
  3. JCL

    JCL Guest

    Thanks alot.
    How would I go about finding the current PlotStyle???
    I seem to have more than I expected in the drawing base.
     
    JCL, Apr 27, 2004
    #3
  4. JCL

    zeha Guest

    Visual Lisp the current plotstyle

    (vla-get-StyleSheet (vla-get-activelayout(vla-get-activedocument (vlax-get-acad-object))))
     
    zeha, Apr 28, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.